기술 자료

Development

User Acquisition

Monetization

산업 분야

Vivox Unreal SDK

Vivox Unreal SDK

이 페이지는 선택한 언어로 제공되지 않습니다.
Vivox
​
​
Vivox Unreal SDK
  • Overview
  • Get started
  • Release notes
  • Developer guide
    • Set up your project
    • Unity Authentication Service in Unreal
    • Create voice and text channels
    • Messaging
    • Audio management
    • Muting
    • In-game moderation
    • Android app development
    • iOS app development
    • Server-side recording
      • Required permissions for Amazon S3 buckets
      • Subscribe API query parameters
      • Server-side recording decoder
      • Automatically end a server-side recording subscription
      • Server-side recording API usage examples
        • Make a channel history-only request
        • Make a speaker history-only request
        • Make a channel TTL-only request
        • Make a speaker TTL-only request
        • Make a channel history and TTL request
        • Make a speaker history and TTL request
        • Filter a channel by speaker
        • Filter a speaker by channel
    • Speech-to-text audio transcription
    • Text-to-speech
    • Real-time recording
    • Transmission
    • Troubleshooting
  • Tutorials
  • Reference
  1. Vivox Unreal SDK documentation

Filter a channel by speaker

Learn how to filter server-side recording request for a channel by speaker.
읽는 시간 1분
최근 업데이트: 8달 전

To subscribe to a channel and only record certain users, filter a channel subscription by passing a list of speakers in to the channel you want to subscribe to.
For example, if you have speakerA, speakerB, and speakerC in a channel, and you only want data from speakerA and speakerB, then you can filter those two users by passing them in to the filter_uris parameter, which excludes speakerC from the recording. The following code displays an example of how to filter for this scenario.
curl -x POSThttp://{{host}}/ssr/subscribe?auth_token={{auth_token}}&history=5&destination_credentials={"bucket":"bucket-name","access_key_id":"aws-access-id","secret_access_key":"aws-secret-key"}&target_uri=sip:confctl-g-.issuer.channel_name@domain.vivox.com&target_type=channel&ttl=5&filter_uris=["sip:.issuer.speakerA.@domain.vivox.com", "sip:.issuer.speakerB.@domain.vivox.com"]

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.


    이 페이지의 문제 보고
    ​
    ​